## kradio4 4.0.7+git20140816

=== CMakeLists.txt ===
project(kradio4)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

FIND_PACKAGE(Subversion)

SET(KRADIO_VERSION "4.0.7")

IF(Subversion_FOUND)
    execute_process(COMMAND svn info ${CMAKE_CURRENT_SOURCE_DIR}
                    COMMAND grep "^Revision: "
                    COMMAND gawk "{print $2}"
                    RESULT_VARIABLE SVN_CHECK_RESULT
                    OUTPUT_VARIABLE SVN_CHECK_STDOUT
                    ERROR_VARIABLE  SVN_CHECK_STDERR
                    OUTPUT_STRIP_TRAILING_WHITESPACE
                   )

    IF( ${SVN_CHECK_RESULT} EQUAL 0  AND NOT  ${SVN_CHECK_STDOUT} EQUAL "" )
        MESSAGE(STATUS "Compiling KRadio4 from SVN revision ${SVN_CHECK_STDOUT}")
        SET(KRADIO_VERSION "svn-r${SVN_CHECK_STDOUT}")
    ENDIF( ${SVN_CHECK_RESULT} EQUAL 0  AND NOT  ${SVN_CHECK_STDOUT} EQUAL "" )
ENDIF(Subversion_FOUND)

MESSAGE(STATUS "Compiling KRadio4-${KRADIO_VERSION}")



########################################################################
#       Check if libboost is available                                 #
########################################################################


find_package( Boost 1.20 REQUIRED)
# find_package( Boost 1.xx COMPONENTS regex REQUIRED)



########################################################################

ADD_DEFINITIONS (
    -DKRADIO_VERSION="\\"${KRADIO_VERSION}\\""
    ${KDE4_DEFINITIONS}
)

option(WITH_KRADIO_FIXMES "Enable FIXME warnings" OFF)
IF(WITH_KRADIO_FIXMES)
    ADD_DEFINITIONS( -DKRADIO_ENABLE_FIXMES )
ENDIF(WITH_KRADIO_FIXMES)

LINK_DIRECTORIES(
    ${Boost_LIBRARY_DIRS}
)

INCLUDE_DIRECTORIES(
    ${KDE4_INCLUDE_DIR}
    ${QT_INCLUDE_DIR}
    ${Boost_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces
    ${CMAKE_CURRENT_SOURCE_DIR}/radiostations
)

SET(INSTALL_TARGETS_DEFAULT_ARGS RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
                                 LIBRARY DESTINATION "${LIB_INSTALL_DIR}/kradio4/plugins"
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )





ADD_SUBDIRECTORY(icons)
#ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(plugins)
ADD_SUBDIRECTORY(presets)
ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(convert-presets)

########################################################################
#     The lines below only affect the executable, no plugins!          #
########################################################################

ADD_DEFINITIONS(
    -DQT3_SUPPORT
    -DKDE3_SUPPORT
    -DQT3_SUPPORT_WARNINGS
)


file(GLOB kradio_radiostation_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/radiostations/*.cpp
)

file(GLOB kradio_interfaces_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/*_interfaces.cpp
)

file(GLOB kradio_main_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp
)


file(GLOB kradio4_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/src/*.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/radiostations/*.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/*.ui
)

kde4_add_ui_files(kradio_main_sources
    ${kradio4_UIs}
)

kde4_add_executable(kradio4
    ${kradio_interfaces_sources}
    ${kradio_radiostation_sources}
    ${kradio_main_sources}
)

SET_TARGET_PROPERTIES(kradio4
    PROPERTIES
    LINK_FLAGS    " -Wl,--export-dynamic "
)

TARGET_LINK_LIBRARIES(kradio4
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
  ${Boost_LIBRARIES}
)

INSTALL(TARGETS kradio4 ${INSTALL_TARGETS_DEFAULT_ARGS})

SET(documentation_files
    README
    README.PVR
    README.your-help-is-wanted
    README.translations
    ChangeLog
    TODO
    AUTHORS
    COPYING
    FAQ
    INSTALL
    REQUIREMENTS
)

INSTALL(
	FILES       ${documentation_files}
    DESTINATION ${SHARE_INSTALL_PREFIX}/doc/kradio4/
)

INSTALL(
    FILES       kradio4.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)


MACRO_DISPLAY_FEATURE_LOG()

=== debian/changelog ===
kradio4 (4.0.7+git20140816-1build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 22:10:41 +0100

kradio4 (4.0.7+git20140816-1) unstable; urgency=medium

  * New upstream Git snapshot:
    - fix sound playback with Internet radios. (Closes: #750779)
  * Bump Standards-Version to 3.9.5, no changes required.
  * Enable the parallel build.
  * Add myself to Uploaders.
  * Add the libavresample-dev build dependency.
  * Fix removal of empty /usr/sbin.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Aug 2014 12:49:07 +0200

=== debian/control ===
Source: kradio4
Section: sound
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
 Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake,
 kdelibs5-dev (>= 4:4.2.0), gettext, libsndfile1-dev, liblircclient-dev,
 libmms-dev, libvorbis-dev, libogg-dev, libavformat-dev, libavresample-dev,
 libglib2.0-dev, libboost-dev,
 libmp3lame-dev, libasound2-dev [linux-any]
Standards-Version: 3.9.5
Homepage: http://kradio.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kradio4/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kradio4/trunk/


Package: kradio4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: comfortable radio application for KDE
 KRadio is a comfortable radio application for KDE 4.x with support for
 V4L and V4L2 radio cards drivers.
 .
 KRadio currently provides:
 .
   * V4L/V4L2 radio support
   * Remote control support (LIRC)
   * Alarms, sleep Countdown
   * Several GUI Controls (Docking Menu, Station Quickbar, Radio Display)
   * Recording capabilities, including MP3, Ogg/Vorbis, and WAV encoding
   * Timeshifter functionality
   * Extendable plugin architecture
 .
 This package also includes a growing collection of station preset
 files for many cities around the world contributed by KRadio users.
 .
 As KRadio is based on an extendable plugin architecture, contributions
 of new plugins (e.g. Internet Radio Streams, new cool GUIs) are welcome.

Package: kradio
Architecture: all
Depends: ${misc:Depends}, kradio4
Description: dummy transition package for Wheezy
 This is a dummy transition package and can be safely removed.
 .
 It can also be removed from the Debian package once Wheezy is released.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_ARGS += -DWITH_ALSA=OFF
endif

%:
	dh $@ --parallel --with kde

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- $(CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install --buildsystem=kde --destdir=debian/kradio4
	install -D -p -m0644 debian/kradio4.xpm \
	    debian/kradio4/usr/share/pixmaps/kradio4.xpm
	rmdir $(CURDIR)/debian/kradio4/usr/sbin
	# remove useless documentation shipped upstream
	rm -f \
	    $(CURDIR)/debian/kradio4/usr/share/doc/kradio4/COPYING \
	    $(CURDIR)/debian/kradio4/usr/share/doc/kradio4/INSTALL
	# remove changelog installed by upstream, dh_installchangelogs will do it
	rm -f $(CURDIR)/debian/kradio4/usr/share/doc/kradio4/ChangeLog

.PHONY: override_dh_auto_test

debian/kradio4.xpm: icons/hi32-app-kradio4.png
	convert $< $@

## kradio4 4.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,10 @@
 project(kradio4)
 
-find_package(KDE4 REQUIRED)
+find_package(KDE4 4.7.0 REQUIRED)
 include (KDE4Defaults)
 include (MacroLibrary)
 
-FIND_PACKAGE(Subversion)
-
-SET(KRADIO_VERSION "4.0.7")
-
-IF(Subversion_FOUND)
-    execute_process(COMMAND svn info ${CMAKE_CURRENT_SOURCE_DIR}
-                    COMMAND grep "^Revision: "
-                    COMMAND gawk "{print $2}"
-                    RESULT_VARIABLE SVN_CHECK_RESULT
-                    OUTPUT_VARIABLE SVN_CHECK_STDOUT
-                    ERROR_VARIABLE  SVN_CHECK_STDERR
-                    OUTPUT_STRIP_TRAILING_WHITESPACE
-                   )
-
-    IF( ${SVN_CHECK_RESULT} EQUAL 0  AND NOT  ${SVN_CHECK_STDOUT} EQUAL "" )
-        MESSAGE(STATUS "Compiling KRadio4 from SVN revision ${SVN_CHECK_STDOUT}")
-        SET(KRADIO_VERSION "svn-r${SVN_CHECK_STDOUT}")
-    ENDIF( ${SVN_CHECK_RESULT} EQUAL 0  AND NOT  ${SVN_CHECK_STDOUT} EQUAL "" )
-ENDIF(Subversion_FOUND)
+SET(KRADIO_VERSION "4.0.8")
 
 MESSAGE(STATUS "Compiling KRadio4-${KRADIO_VERSION}")
 
@@ -57,6 +39,7 @@
 INCLUDE_DIRECTORIES(
     ${KDE4_INCLUDE_DIR}
     ${QT_INCLUDE_DIR}
+    ${QT_INCLUDE_DIR}/QtCore
     ${Boost_INCLUDE_DIRS}
     ${CMAKE_CURRENT_BINARY_DIR}/src
     ${CMAKE_CURRENT_SOURCE_DIR}/src

=== convert-presets/CMakeLists.txt ===

kde4_add_executable(kradio4-convert-presets
    convert-presets.cpp
)

TARGET_LINK_LIBRARIES(kradio4-convert-presets
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4-convert-presets ${INSTALL_TARGETS_DEFAULT_ARGS})

=== icons/CMakeLists.txt ===
KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )

install (FILES kradio4.png
         DESTINATION ${SHARE_INSTALL_PREFIX}/pixmaps)

=== plugins/CMakeLists.txt ===
project(kradio4plugins)

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (FindPkgConfig)
include (MacroLibrary)

include(CheckIncludeFile)
include(CheckIncludeFileCXX)

###############################################################################

option(WITH_ALSA "Compile with alsa support" ON)

IF(WITH_ALSA)
    SET (ALSA_LIBRARY_DIRS  "")
    SET (ALSA_INCLUDE_DIRS  "")
    SET (ALSA_LIBRARIES     "")

    pkg_check_modules(LIBASOUND alsa)
    IF(LIBASOUND_FOUND)
        SET(HAVE_AVFORMAT_INC ON)
        SET(HAVE_AVFORMAT_LIB ON)

        SET(ALSA_LIBRARY_DIRS ${ALSA_LIBRARY_DIRS} ${LIBASOUND_LIBRARY_DIRS})
        SET(ALSA_LIBRARIES    ${ALSA_LIBRARIES}    ${LIBASOUND_LIBRARIES}   )
        SET(ALSA_INCLUDE_DIRS ${ALSA_INCLUDE_DIRS} ${LIBASOUND_INCLUDE_DIRS})

    ELSE(LIBASOUND_FOUND)
        CHECK_INCLUDE_FILE_CXX(alsa/asoundlib.h      HAVE_ALSA_INC)
        CHECK_LIBRARY_EXISTS(asound snd_card_next "" HAVE_ALSA_LIB)
        IF (HAVE_ALSA_INC AND HAVE_ALSA_LIB)
            SET(LIBASOUND_FOUND ON)
            SET(ALSA_LIBRARIES    "asound" ${ALSA_LIBRARIES})
        ENDIF(HAVE_ALSA_INC AND HAVE_ALSA_LIB)
    ENDIF(LIBASOUND_FOUND)

    IF(NOT LIBASOUND_FOUND)

        SET(WITH_ALSA OFF
            CACHE BOOL "alsa files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: alsa files could not be found on this system. Compiling without alsa support")

    ENDIF(NOT LIBASOUND_FOUND)
ENDIF(WITH_ALSA)


IF (WITH_ALSA)
    message(STATUS "   Compiling with ALSA support")
    message(STATUS "       ALSA_INCLUDE_DIRS = ${ALSA_INCLUDE_DIRS}")
    message(STATUS "       ALSA_LIBRARY_DIRS = ${ALSA_LIBRARY_DIRS}")
    message(STATUS "       ALSA_LIBRARIES    = ${ALSA_LIBRARIES}")
    message(STATUS "   Compiling with alsa support")
    add_definitions( -DHAVE_ALSA )
ELSE(WITH_ALSA)
    message(STATUS "   Compiling without ALSA support")
ENDIF(WITH_ALSA)


MACRO_LOG_FEATURE(WITH_ALSA "ALSA support" "Support for ALSA Sound Devices" "http://www.alsa-project.org")

###############################################################################


option(WITH_LIRC "Compile with LIRC support" ON)

IF(WITH_LIRC)
    CHECK_INCLUDE_FILE_CXX(lirc/lirc_client.h HAVE_LIRC_INC)
    CHECK_LIBRARY_EXISTS(lirc_client lirc_init "" HAVE_LIRC_LIB)
    IF(NOT HAVE_LIRC_INC OR NOT HAVE_LIRC_LIB)

        SET(WITH_LIRC OFF
            CACHE BOOL "LIRC files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: LIRC files could not be found on this system. Compiling without LIRC support")

    ENDIF(NOT HAVE_LIRC_INC OR NOT HAVE_LIRC_LIB)
ENDIF(WITH_LIRC)


IF (WITH_LIRC)
    message(STATUS "   Compiling with LIRC support")
    add_definitions( -DHAVE_LIRC )
ELSE(WITH_LIRC)
    message(STATUS "   Compiling without LIRC support")
ENDIF(WITH_LIRC)

MACRO_LOG_FEATURE(WITH_LIRC "LIRC support" "Support for remote controls via LIRC interfaces" "http://www.lirc.org")

###############################################################################




option(WITH_FFMPEG "Compile with Internet Radio Stations support (libavformat/libffmpeg, libmms)" ON)

IF(WITH_FFMPEG)
    SET (FFMPEG_LIBRARY_DIRS  "")
    SET (FFMPEG_INCLUDE_DIRS  "")
    SET (FFMPEG_LIBRARIES     "")

    pkg_check_modules(LIBAVFORMAT libavformat)
    pkg_check_modules(LIBAVCODEC  libavcodec)
    IF(LIBAVFORMAT_FOUND)
        SET(HAVE_AVFORMAT_INC ON)
        SET(HAVE_AVFORMAT_LIB ON)

        SET(FFMPEG_LIBRARY_DIRS ${FFMPEG_LIBRARY_DIRS} ${LIBAVFORMAT_LIBRARY_DIRS} ${LIBAVCODEC_LIBRARY_DIRS} )
        SET(FFMPEG_LIBRARIES    ${FFMPEG_LIBRARIES}    ${LIBAVFORMAT_LIBRARIES}    ${LIBAVCODEC_LIBRARIES}    )
        SET(FFMPEG_INCLUDE_DIRS ${FFMPEG_INCLUDE_DIRS} ${LIBAVFORMAT_INCLUDE_DIRS} ${LIBAVCODEC_INCLUDE_DIRS} )

    ELSE(LIBAVFORMAT_FOUND)
        CHECK_INCLUDE_FILE_CXX(ffmpeg/avformat.h            HAVE_AVFORMAT_OLD_INC)
        CHECK_INCLUDE_FILE_CXX(libavformat/avformat.h       HAVE_AVFORMAT_INC)
        CHECK_LIBRARY_EXISTS(avformat av_open_input_file "" HAVE_AVFORMAT_LIB)
        IF (HAVE_AVFORMAT_OLD_INC OR HAVE_AVFORMAT_INC)
            IF (HAVE_AVFORMAT_LIB)
                SET(LIBAVFORMAT_FOUND ON)
                SET(FFMPEG_LIBRARIES    "avutil" "avformat" ${FFMPEG_LIBRARIES})
            ENDIF(HAVE_AVFORMAT_LIB)
        ENDIF(HAVE_AVFORMAT_OLD_INC OR HAVE_AVFORMAT_INC)
    ENDIF(LIBAVFORMAT_FOUND)



    pkg_check_modules(LIBSWRESAMPLE libswresample)
    IF(LIBSWRESAMPLE_FOUND)
        SET(FFMPEG_LIBRARIES    ${FFMPEG_LIBRARIES}    ${LIBSWRESAMPLE_LIBRARIES}   )
        add_definitions( -DHAVE_LIBSWRESAMPLE )
    ENDIF(LIBSWRESAMPLE_FOUND)


    pkg_check_modules(LIBAVRESAMPLE libavresample)
    IF(LIBAVRESAMPLE_FOUND)
        SET(FFMPEG_LIBRARIES    ${FFMPEG_LIBRARIES}    ${LIBAVRESAMPLE_LIBRARIES}   )
        add_definitions( -DHAVE_LIBAVRESAMPLE )
    ENDIF(LIBAVRESAMPLE_FOUND)

    IF(NOT LIBAVCODEC_VERSION LESS 53.42.0)
        IF(NOT LIBSWRESAMPLE_FOUND AND NOT LIBAVRESAMPLE_FOUND)
            ERROR(FATAL_ERROR "ERROR: found libavcodec " ${LIBAVCODEC_VERSION} " which requires libswresample or libavesample. However, none is not available.")
        ENDIF(NOT LIBSWRESAMPLE_FOUND AND NOT LIBAVRESAMPLE_FOUND)
    ENDIF(NOT LIBAVCODEC_VERSION LESS 53.42.0)


    pkg_check_modules(LIBMMS libmms)
    IF(LIBMMS_FOUND)
        SET(LIBMMS_MIN_VERSION 0.5)
        IF(NOT LIBMMS_VERSION LESS LIBMMS_MIN_VERSION)
            SET(HAVE_MMSX_INC ON)
            SET(HAVE_MMSX_LIB ON)

            SET(FFMPEG_LIBRARY_DIRS ${FFMPEG_LIBRARY_DIRS} ${LIBMMS_LIBRARY_DIRS})
            SET(FFMPEG_LIBRARIES    ${FFMPEG_LIBRARIES}    ${LIBMMS_LIBRARIES}   )
            SET(FFMPEG_INCLUDE_DIRS ${FFMPEG_INCLUDE_DIRS} ${LIBMMS_INCLUDE_DIRS})
        ELSE(NOT LIBMMS_VERSION LESS LIBMMS_MIN_VERSION)
            MESSAGE("WARNING: found libmms " ${LIBMMS_VERSION} ", however, version >= " LIBMMS_MIN_VERSION " required")
            SET(LIBMMS_FOUND false)
        ENDIF(NOT LIBMMS_VERSION LESS LIBMMS_MIN_VERSION)
    ELSE(LIBMMS_FOUND)
        CHECK_INCLUDE_FILE("libmms/mmsx.h"       HAVE_MMSX_INC)
        CHECK_LIBRARY_EXISTS(mms mmsx_connect "" HAVE_MMSX_LIB)
        IF (HAVE_MMSX_INC AND HAVE_MMSX_LIB)
            SET(LIBMMS_FOUND ON)
            SET(FFMPEG_LIBRARIES "mms" ${FFMPEG_LIBRARIES})
        ENDIF(HAVE_MMSX_INC AND HAVE_MMSX_LIB)
    ENDIF(LIBMMS_FOUND)

    IF ( NOT LIBMMS_FOUND OR NOT LIBAVFORMAT_FOUND )
        SET(WITH_FFMPEG OFF
            CACHE BOOL "libffmpeg and/or libmms files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: libffmpeg and/or libmms files could not be found on this system. Compiling without Internet Radio Stations support")
    ENDIF( NOT LIBMMS_FOUND OR NOT LIBAVFORMAT_FOUND )

ENDIF(WITH_FFMPEG)


IF (WITH_FFMPEG)
    message(STATUS "   Compiling with Internet Radio Stations (libavformat/libffmpeg, libmms) support")
    message(STATUS "       FFMPEG_INCLUDE_DIRS = ${FFMPEG_INCLUDE_DIRS}")
    message(STATUS "       FFMPEG_LIBRARY_DIRS = ${FFMPEG_LIBRARY_DIRS}")
    message(STATUS "       FFMPEG_LIBRARIES    = ${FFMPEG_LIBRARIES}")

    IF(HAVE_AVFORMAT_OLD_INC)
        add_definitions( -DHAVE_FFMPEG_OLD )
    ELSE(HAVE_AVFORMAT_OLD_INC)
        add_definitions( -DHAVE_FFMPEG -D__STDC_CONSTANT_MACROS )
    ENDIF(HAVE_AVFORMAT_OLD_INC)

    add_definitions( -DHAVE_MMS )
ELSE(WITH_FFMPEG)
    message(STATUS "   Compiling without Internet Radio Stations (libffmpeg, libmms) support")
ENDIF(WITH_FFMPEG)

MACRO_LOG_FEATURE(LIBAVFORMAT_FOUND "FFMPEG support"          "Support for internet radio by libffmpeg" "http://ffmpeg.org")
MACRO_LOG_FEATURE(LIBMMS_FOUND      "MMS protocol support"    "Support internet radio protocol mms:// by libmms >= ${LIBMMS_MIN_VERSION}"  "https://launchpad.net/libmms")
MACRO_LOG_FEATURE(WITH_FFMPEG       "Internet radio support"  "Internet radio requires both libffmpeg and libmms" "")

###############################################################################



ADD_SUBDIRECTORY(radio)
IF(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    ADD_SUBDIRECTORY(v4lradio)
ENDIF(CMAKE_SYSTEM_NAME STREQUAL "Linux")
IF(WITH_ALSA)
    ADD_SUBDIRECTORY(alsa-sound)
ENDIF(WITH_ALSA)
ADD_SUBDIRECTORY(soundserver)
ADD_SUBDIRECTORY(gui-docking-menu)
ADD_SUBDIRECTORY(timecontrol)
ADD_SUBDIRECTORY(timeshifter)
ADD_SUBDIRECTORY(streaming)
ADD_SUBDIRECTORY(recording)
ADD_SUBDIRECTORY(gui-quickbar)
ADD_SUBDIRECTORY(gui-error-log)
IF(WITH_LIRC)
    ADD_SUBDIRECTORY(lirc)
ENDIF(WITH_LIRC)
ADD_SUBDIRECTORY(gui-standard-display)
ADD_SUBDIRECTORY(shortcuts)
IF(WITH_FFMPEG)
    ADD_SUBDIRECTORY(internetradio)
ENDIF(WITH_FFMPEG)
ADD_SUBDIRECTORY(dbus)
ADD_SUBDIRECTORY(mpris)

=== presets/CMakeLists.txt ===
MACRO(SCAN_DIRS topdir basedir outlistvar)
    FILE(GLOB dirs RELATIVE "${topdir}" "${basedir}/*")
    FOREACH(d IN LISTS dirs)
        IF(IS_DIRECTORY "${topdir}/${d}")
            LIST(APPEND ${outlistvar} "${d}")
            SCAN_DIRS("${topdir}" "${d}" ${outlistvar})
        ENDIF(IS_DIRECTORY "${topdir}/${d}")
    ENDFOREACH(d IN LISTS dirs)
ENDMACRO(SCAN_DIRS top basedir outlist)

SET(presets_dirs)
SCAN_DIRS("${CMAKE_CURRENT_SOURCE_DIR}" "." presets_dirs)

FOREACH(dir IN LISTS presets_dirs)
    FILE(GLOB presets ${dir}/*.krp)
    INSTALL(FILES ${presets} DESTINATION ${DATA_INSTALL_DIR}/kradio4/presets/${dir})
ENDFOREACH(dir IN LISTS presets_dirs)

=== convert-presets/po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
        SET(catalogname ${PROJECT_NAME})
 
        FILE(GLOB PO_FILES *.po)
        SET(GMO_FILES)
 
        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
 
                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
 
                        ADD_CUSTOM_COMMAND(OUTPUT ${_gmoFile}
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                        LIST(APPEND GMO_FILES ${_gmoFile})
                ENDIF( _langCode )
 
        ENDFOREACH(_poFile ${PO_FILES})
 
        ADD_CUSTOM_TARGET(translations ALL DEPENDS ${GMO_FILES})
 
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== plugins/alsa-sound/CMakeLists.txt ===
project(kradio4_plugin_alsa_sound)

add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)


ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)

LINK_DIRECTORIES(
    ${ALSA_LIBRARY_DIRS}
)

INCLUDE_DIRECTORIES(
    ${ALSA_INCLUDE_DIRS}
)



FILE(GLOB kradio_plugin_alsa_sound_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_alsa_sound_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_alsa_sound_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_alsa_sound_sources
    ${kradio_plugin_alsa_sound_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_alsa_sound
    ${kradio_plugin_alsa_sound_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_alsa_sound
    PROPERTIES
    VERSION       ${KRADIO_VERSION}
    SOVERSION     4
)

TARGET_LINK_LIBRARIES(kradio4_plugin_alsa_sound
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
  ${ALSA_LIBRARIES}
)

INSTALL(TARGETS kradio4_plugin_alsa_sound ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/dbus/CMakeLists.txt ===
project(kradio4_plugin_dbus)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)



ADD_SUBDIRECTORY(po)

FILE(GLOB kradio_plugin_dbus_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_dbus_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_dbus_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_dbus_sources
    ${kradio_plugin_dbus_UIs}
)

QT4_ADD_DBUS_ADAPTOR(kradio_plugin_dbus_sources net.sourceforge.kradio.xml
                     dbussupport.h DBusSupport)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_dbus
    ${kradio_plugin_dbus_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_dbus
    PROPERTIES
    VERSION       ${KRADIO_VERSION}
    SOVERSION     4
)

TARGET_LINK_LIBRARIES(kradio4_plugin_dbus
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4_plugin_dbus ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-docking-menu/CMakeLists.txt ===
project(kradio4_plugin_gui_docking_menu)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)


ADD_SUBDIRECTORY(po)


FILE(GLOB kradio_plugin_gui_docking_menu_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_docking_menu_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_gui_docking_menu_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_gui_docking_menu_sources
    ${kradio_plugin_gui_docking_menu_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_gui_docking_menu
    ${kradio_plugin_gui_docking_menu_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_gui_docking_menu
    PROPERTIES
    VERSION       ${KRADIO_VERSION}
    SOVERSION     4

)

TARGET_LINK_LIBRARIES(kradio4_plugin_gui_docking_menu
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4_plugin_gui_docking_menu ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-error-log/CMakeLists.txt ===
project(kradio4_plugin_gui_error_log)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)


ADD_SUBDIRECTORY(po)


FILE(GLOB kradio_plugin_gui_error_log_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_error_log_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_gui_error_log_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_gui_error_log_sources
    ${kradio_plugin_gui_error_log_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_gui_error_log
    ${kradio_plugin_gui_error_log_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_gui_error_log
    PROPERTIES
    VERSION       ${KRADIO_VERSION}
    SOVERSION     4

)

TARGET_LINK_LIBRARIES(kradio4_plugin_gui_error_log
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4_plugin_gui_error_log ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-quickbar/CMakeLists.txt ===
project(kradio4_plugin_gui_quickbar)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)



ADD_SUBDIRECTORY(po)



FILE(GLOB kradio_plugin_gui_quickbar_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_quickbar_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_gui_quickbar_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_gui_quickbar_sources
    ${kradio_plugin_gui_quickbar_UIs}
)



string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_gui_quickbar
    ${kradio_plugin_gui_quickbar_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_gui_quickbar
    PROPERTIES
    VERSION       ${KRADIO_VERSION}
    SOVERSION     4

)

TARGET_LINK_LIBRARIES(kradio4_plugin_gui_quickbar
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4_plugin_gui_quickbar ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-standard-display/CMakeLists.txt ===
project(kradio4_plugin_gui_standard_display)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)


ADD_SUBDIRECTORY(po)



FILE(GLOB kradio_plugin_gui_standard_display_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_standard_display_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_gui_standard_display_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_gui_standard_display_sources
    ${kradio_plugin_gui_standard_display_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_gui_standard_display
    ${kradio_plugin_gui_standard_display_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_gui_standard_display
    PROPERTIES
    VERSION       ${KRADIO_VERSION}
    SOVERSION     4
)

TARGET_LINK_LIBRARIES(kradio4_plugin_gui_standard_display
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4_plugin_gui_standard_display ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kradio4 (4.0.8-2) unstable; urgency=medium

  * Drop menu file and its pixmap, since kradio4 already provides a .desktop
    file.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Drop the transitional kradio package, available as such in Wheezy and
    Jessie.
  * Make kradio4 provide kradio.

 -- Pino Toscano <pino@debian.org>  Mon, 11 Jan 2016 17:44:10 +0100

kradio4 (4.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdelibs5-dev build dependency to >= 4.7.0, as indicated
    in the upstream build system.
  * Ignore failure when removing /usr/sbin (might not exist).

 -- Pino Toscano <pino@debian.org>  Sun, 28 Sep 2014 13:06:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Mark Purcell <msp@debian.org>,
  Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake,
- kdelibs5-dev (>= 4:4.2.0), gettext, libsndfile1-dev, liblircclient-dev,
+ kdelibs5-dev (>= 4:4.7.0), gettext, libsndfile1-dev, liblircclient-dev,
  libmms-dev, libvorbis-dev, libogg-dev, libavformat-dev, libavresample-dev,
  libglib2.0-dev, libboost-dev,
  libmp3lame-dev, libasound2-dev [linux-any]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://kradio.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kradio4/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kradio4/trunk/
@@ -18,6 +18,7 @@
 Package: kradio4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: kradio
 Description: comfortable radio application for KDE
  KRadio is a comfortable radio application for KDE 4.x with support for
  V4L and V4L2 radio cards drivers.
@@ -37,11 +38,3 @@
  .
  As KRadio is based on an extendable plugin architecture, contributions
  of new plugins (e.g. Internet Radio Streams, new cool GUIs) are welcome.
-
-Package: kradio
-Architecture: all
-Depends: ${misc:Depends}, kradio4
-Description: dummy transition package for Wheezy
- This is a dummy transition package and can be safely removed.
- .
- It can also be removed from the Debian package once Wheezy is released.

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,8 @@
 	dh_auto_configure --buildsystem=kde -- $(CONFIGURE_ARGS)
 
 override_dh_auto_install:
-	dh_auto_install --buildsystem=kde --destdir=debian/kradio4
-	install -D -p -m0644 debian/kradio4.xpm \
-	    debian/kradio4/usr/share/pixmaps/kradio4.xpm
-	rmdir $(CURDIR)/debian/kradio4/usr/sbin
+	dh_auto_install --buildsystem=kde
+	-rmdir $(CURDIR)/debian/kradio4/usr/sbin
 	# remove useless documentation shipped upstream
 	rm -f \
 	    $(CURDIR)/debian/kradio4/usr/share/doc/kradio4/COPYING \
@@ -27,7 +25,3 @@
 	rm -f $(CURDIR)/debian/kradio4/usr/share/doc/kradio4/ChangeLog
 
 .PHONY: override_dh_auto_test
-
-debian/kradio4.xpm: icons/hi32-app-kradio4.png
-	convert $< $@
-

## kradio4 4.0.8+git20160618

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,14 @@
 project(kradio4)
+
+cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
+if(POLICY CMP0059)
+    cmake_policy(SET CMP0059 OLD)
+endif()
+if(POLICY CMP0064)
+    cmake_policy(SET CMP0064 OLD)
+endif()
+
+list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 find_package(KDE4 4.7.0 REQUIRED)
 include (KDE4Defaults)
@@ -22,9 +32,23 @@
 
 ########################################################################
 
+find_program(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
+if(NOT GETTEXT_MSGFMT_EXECUTABLE)
+    message(STATUS "msgfmt not found. Translations will *not* be installed")
+endif()
+include(MacroProcessPoFiles)
+
+########################################################################
+
 ADD_DEFINITIONS (
-    -DKRADIO_VERSION="\\"${KRADIO_VERSION}\\""
+    -DKRADIO_VERSION="${KRADIO_VERSION}"
     ${KDE4_DEFINITIONS}
+    -DQT_STRICT_ITERATORS
+    -DQT_NO_CAST_FROM_BYTEARRAY
+    -DQT_USE_QSTRINGBUILDER
+    -DQT_USE_FAST_OPERATOR_PLUS
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_NO_CAST_TO_ASCII
 )
 
 option(WITH_KRADIO_FIXMES "Enable FIXME warnings" OFF)
@@ -32,14 +56,14 @@
     ADD_DEFINITIONS( -DKRADIO_ENABLE_FIXMES )
 ENDIF(WITH_KRADIO_FIXMES)
 
-LINK_DIRECTORIES(
-    ${Boost_LIBRARY_DIRS}
-)
+option(WITH_KRADIO_PROFILERS "Enable the runtime profilers" OFF)
+if(WITH_KRADIO_PROFILERS)
+    add_definitions(-DKRADIO_ENABLE_PROFILERS)
+endif()
 
 INCLUDE_DIRECTORIES(
-    ${KDE4_INCLUDE_DIR}
-    ${QT_INCLUDE_DIR}
-    ${QT_INCLUDE_DIR}/QtCore
+    ${KDE4_INCLUDES}
+    ${QT_INCLUDES}
     ${Boost_INCLUDE_DIRS}
     ${CMAKE_CURRENT_BINARY_DIR}/src
     ${CMAKE_CURRENT_SOURCE_DIR}/src
@@ -50,8 +74,6 @@
 SET(INSTALL_TARGETS_DEFAULT_ARGS RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
                                  LIBRARY DESTINATION "${LIB_INSTALL_DIR}/kradio4/plugins"
 )
-
-KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )
 
 
 
@@ -67,13 +89,6 @@
 ########################################################################
 #     The lines below only affect the executable, no plugins!          #
 ########################################################################
-
-ADD_DEFINITIONS(
-    -DQT3_SUPPORT
-    -DKDE3_SUPPORT
-    -DQT3_SUPPORT_WARNINGS
-)
-
 
 file(GLOB kradio_radiostation_sources
     ${CMAKE_CURRENT_SOURCE_DIR}/radiostations/*.cpp
@@ -111,9 +126,8 @@
 
 TARGET_LINK_LIBRARIES(kradio4
   ${KDE4_KDEUI_LIBS}
-  ${QT_QT3SUPPORT_LIBRARY}
-  ${KDE4_KDE3SUPPORT_LIBRARY}
-  ${Boost_LIBRARIES}
+  ${QT_QTXML_LIBRARY}
+  ${KDE4_KIO_LIBRARY}
 )
 
 INSTALL(TARGETS kradio4 ${INSTALL_TARGETS_DEFAULT_ARGS})
@@ -122,14 +136,10 @@
     README
     README.PVR
     README.your-help-is-wanted
-    README.translations
     ChangeLog
-    TODO
     AUTHORS
     COPYING
     FAQ
-    INSTALL
-    REQUIREMENTS
 )
 
 INSTALL(

=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -1,59 +1,33 @@
 project(kradio4plugins)
 
-# search packages used by KDE
-find_package(KDE4 REQUIRED)
-include (KDE4Defaults)
-include (FindPkgConfig)
-include (MacroLibrary)
+find_package(PkgConfig)
 
-include(CheckIncludeFile)
 include(CheckIncludeFileCXX)
+include(CheckLibraryExists)
 
 ###############################################################################
 
 option(WITH_ALSA "Compile with alsa support" ON)
 
 IF(WITH_ALSA)
-    SET (ALSA_LIBRARY_DIRS  "")
-    SET (ALSA_INCLUDE_DIRS  "")
-    SET (ALSA_LIBRARIES     "")
+    find_package(ALSA)
 
-    pkg_check_modules(LIBASOUND alsa)
-    IF(LIBASOUND_FOUND)
-        SET(HAVE_AVFORMAT_INC ON)
-        SET(HAVE_AVFORMAT_LIB ON)
-
-        SET(ALSA_LIBRARY_DIRS ${ALSA_LIBRARY_DIRS} ${LIBASOUND_LIBRARY_DIRS})
-        SET(ALSA_LIBRARIES    ${ALSA_LIBRARIES}    ${LIBASOUND_LIBRARIES}   )
-        SET(ALSA_INCLUDE_DIRS ${ALSA_INCLUDE_DIRS} ${LIBASOUND_INCLUDE_DIRS})
-
-    ELSE(LIBASOUND_FOUND)
-        CHECK_INCLUDE_FILE_CXX(alsa/asoundlib.h      HAVE_ALSA_INC)
-        CHECK_LIBRARY_EXISTS(asound snd_card_next "" HAVE_ALSA_LIB)
-        IF (HAVE_ALSA_INC AND HAVE_ALSA_LIB)
-            SET(LIBASOUND_FOUND ON)
-            SET(ALSA_LIBRARIES    "asound" ${ALSA_LIBRARIES})
-        ENDIF(HAVE_ALSA_INC AND HAVE_ALSA_LIB)
-    ENDIF(LIBASOUND_FOUND)
-
-    IF(NOT LIBASOUND_FOUND)
+    IF(NOT ALSA_FOUND)
 
         SET(WITH_ALSA OFF
             CACHE BOOL "alsa files could not be found on this system. Forcing this option to OFF"
             FORCE)
         MESSAGE("WARNING: alsa files could not be found on this system. Compiling without alsa support")
 
-    ENDIF(NOT LIBASOUND_FOUND)
+    ENDIF(NOT ALSA_FOUND)
 ENDIF(WITH_ALSA)
 
 
 IF (WITH_ALSA)
     message(STATUS "   Compiling with ALSA support")
     message(STATUS "       ALSA_INCLUDE_DIRS = ${ALSA_INCLUDE_DIRS}")
-    message(STATUS "       ALSA_LIBRARY_DIRS = ${ALSA_LIBRARY_DIRS}")
     message(STATUS "       ALSA_LIBRARIES    = ${ALSA_LIBRARIES}")
     message(STATUS "   Compiling with alsa support")
-    add_definitions( -DHAVE_ALSA )
 ELSE(WITH_ALSA)
     message(STATUS "   Compiling without ALSA support")
 ENDIF(WITH_ALSA)
@@ -67,22 +41,21 @@
 option(WITH_LIRC "Compile with LIRC support" ON)
 
 IF(WITH_LIRC)
-    CHECK_INCLUDE_FILE_CXX(lirc/lirc_client.h HAVE_LIRC_INC)
-    CHECK_LIBRARY_EXISTS(lirc_client lirc_init "" HAVE_LIRC_LIB)
-    IF(NOT HAVE_LIRC_INC OR NOT HAVE_LIRC_LIB)
+    find_package(LircClient)
+
+    IF(NOT LircClient_FOUND)
 
         SET(WITH_LIRC OFF
             CACHE BOOL "LIRC files could not be found on this system. Forcing this option to OFF"
             FORCE)
         MESSAGE("WARNING: LIRC files could not be found on this system. Compiling without LIRC support")
 
-    ENDIF(NOT HAVE_LIRC_INC OR NOT HAVE_LIRC_LIB)
+    ENDIF(NOT LircClient_FOUND)
 ENDIF(WITH_LIRC)
 
 
 IF (WITH_LIRC)
     message(STATUS "   Compiling with LIRC support")
-    add_definitions( -DHAVE_LIRC )
 ELSE(WITH_LIRC)
     message(STATUS "   Compiling without LIRC support")
 ENDIF(WITH_LIRC)
@@ -145,35 +118,14 @@
     ENDIF(NOT LIBAVCODEC_VERSION LESS 53.42.0)
 
 
-    pkg_check_modules(LIBMMS libmms)
-    IF(LIBMMS_FOUND)
-        SET(LIBMMS_MIN_VERSION 0.5)
-        IF(NOT LIBMMS_VERSION LESS LIBMMS_MIN_VERSION)
-            SET(HAVE_MMSX_INC ON)
-            SET(HAVE_MMSX_LIB ON)
+    find_package(Libmms 0.5)
 
-            SET(FFMPEG_LIBRARY_DIRS ${FFMPEG_LIBRARY_DIRS} ${LIBMMS_LIBRARY_DIRS})
-            SET(FFMPEG_LIBRARIES    ${FFMPEG_LIBRARIES}    ${LIBMMS_LIBRARIES}   )
-            SET(FFMPEG_INCLUDE_DIRS ${FFMPEG_INCLUDE_DIRS} ${LIBMMS_INCLUDE_DIRS})
-        ELSE(NOT LIBMMS_VERSION LESS LIBMMS_MIN_VERSION)
-            MESSAGE("WARNING: found libmms " ${LIBMMS_VERSION} ", however, version >= " LIBMMS_MIN_VERSION " required")
-            SET(LIBMMS_FOUND false)
-        ENDIF(NOT LIBMMS_VERSION LESS LIBMMS_MIN_VERSION)
-    ELSE(LIBMMS_FOUND)
-        CHECK_INCLUDE_FILE("libmms/mmsx.h"       HAVE_MMSX_INC)
-        CHECK_LIBRARY_EXISTS(mms mmsx_connect "" HAVE_MMSX_LIB)
-        IF (HAVE_MMSX_INC AND HAVE_MMSX_LIB)
-            SET(LIBMMS_FOUND ON)
-            SET(FFMPEG_LIBRARIES "mms" ${FFMPEG_LIBRARIES})
-        ENDIF(HAVE_MMSX_INC AND HAVE_MMSX_LIB)
-    ENDIF(LIBMMS_FOUND)
-
-    IF ( NOT LIBMMS_FOUND OR NOT LIBAVFORMAT_FOUND )
+    IF ( NOT Libmms_FOUND OR NOT LIBAVFORMAT_FOUND )
         SET(WITH_FFMPEG OFF
             CACHE BOOL "libffmpeg and/or libmms files could not be found on this system. Forcing this option to OFF"
             FORCE)
         MESSAGE("WARNING: libffmpeg and/or libmms files could not be found on this system. Compiling without Internet Radio Stations support")
-    ENDIF( NOT LIBMMS_FOUND OR NOT LIBAVFORMAT_FOUND )
+    ENDIF( NOT Libmms_FOUND OR NOT LIBAVFORMAT_FOUND )
 
 ENDIF(WITH_FFMPEG)
 
@@ -183,14 +135,14 @@
     message(STATUS "       FFMPEG_INCLUDE_DIRS = ${FFMPEG_INCLUDE_DIRS}")
     message(STATUS "       FFMPEG_LIBRARY_DIRS = ${FFMPEG_LIBRARY_DIRS}")
     message(STATUS "       FFMPEG_LIBRARIES    = ${FFMPEG_LIBRARIES}")
+    message(STATUS "       Libmms_INCLUDE_DIRS = ${Libmms_INCLUDE_DIRS}")
+    message(STATUS "       Libmms_LIBRARIES    = ${Libmms_LIBRARIES}")
 
     IF(HAVE_AVFORMAT_OLD_INC)
         add_definitions( -DHAVE_FFMPEG_OLD )
     ELSE(HAVE_AVFORMAT_OLD_INC)
         add_definitions( -DHAVE_FFMPEG -D__STDC_CONSTANT_MACROS )
     ENDIF(HAVE_AVFORMAT_OLD_INC)
-
-    add_definitions( -DHAVE_MMS )
 ELSE(WITH_FFMPEG)
     message(STATUS "   Compiling without Internet Radio Stations (libffmpeg, libmms) support")
 ENDIF(WITH_FFMPEG)

=== debian/changelog ===
kradio4 (4.0.8+git20160618-1) unstable; urgency=medium

  * New upstream Git snapshot.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jun 2016 23:40:25 +0200

kradio4 (4.0.8+git20160325-1) unstable; urgency=medium

  * New upstream Git snapshot.
  * Remove /usr/sbin handling from rules, since the upstream debian directory
    now is in a subdirectory.
  * Bump Standards-Version to 3.9.7, no changes required.
  * Use https for the Vcs-Browser field.

 -- Pino Toscano <pino@debian.org>  Fri, 25 Mar 2016 09:46:16 +0100
